For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
DeveloperAcademyCommunityStatus
    • Overview
    • API Credentials
    • Errors
    • Legacy & Deprecated APIs
  • Events API
    • Chat Markup
    • Rate Limits
    • Message Delivery
  • (Beta) Conversations API
      • POSTCreate response
      • STREAMCreate response (streaming)
      • GETGet response
  • Data API
    • GETList conversations
    • GETList interactions
    • GETList plugins calls
    • GETList Plugin Resources
    • GETList Users
  • Webhook Listeners
  • Content Gateway
    • Overview
    • Integration Strategies
    • Starter Code
    • Verifying Your Build
    • Connecting Your Gateway to Moveworks
    • Authentication
    • How Permissions Work
    • Common Pitfalls
    • Operational Guide
    • Errors
    • Supported MIME Types
  • Legacy Gateways
    • Authentication
    • Response Options
    • Field Types
    • Form Gateway Errors
DeveloperAcademyCommunityStatus
(Beta) Conversations APIResponses

Get response

||View as Markdown|
GET
https://api.moveworks.ai/rest/v1beta1/conversations/:conversation_id/responses/:response_id
GET
/rest/v1beta1/conversations/:conversation_id/responses/:response_id
$curl https://api.moveworks.ai/rest/v1beta1/conversations/conv_32bt7BMLhLyVzTUjfi35N/responses/resp_32bt7rXXugeJjvE3pQzOk \
> -H "Assistant-Name: acmecorp-conversations-rest-api" \
> -H "Authorization: Bearer <token>"
1{
2 "response_id": "resp_32bt7rXXugeJjvE3pQzOk",
3 "conversation_id": "conv_32bt7BMLhLyVzTUjfi35N",
4 "status": "COMPLETED",
5 "created_at": "2025-01-20T10:00:00Z",
6 "completed_at": "2025-01-20T10:00:15Z",
7 "outputs": [
8 {
9 "type": "REASONING_MESSAGE",
10 "reasoning_message": {
11 "reasoning_message_id": "rs_32bt8IqHzbv0FLmtGssa3",
12 "conversation_id": "conv_32bt7BMLhLyVzTUjfi35N",
13 "response_id": "resp_32bt7rXXugeJjvE3pQzOk",
14 "content": {
15 "type": "COMMONMARK_TEXT",
16 "commonmark_text": {
17 "text": "Looking up John Doe..."
18 }
19 },
20 "created_at": "2025-01-20T10:00:01Z"
21 }
22 },
23 {
24 "type": "MESSAGE",
25 "message": {
26 "message_id": "msg_32bt8vagXAoRwRLIdI2Oj",
27 "conversation_id": "conv_32bt7BMLhLyVzTUjfi35N",
28 "response_id": "resp_32bt7rXXugeJjvE3pQzOk",
29 "actor": "ASSISTANT",
30 "content": {
31 "type": "COMMONMARK_TEXT",
32 "commonmark_text": {
33 "text": "John Doe reports to Jane Smith in the Engineering department."
34 }
35 },
36 "created_at": "2025-01-20T10:00:01Z",
37 "citations": [
38 {
39 "citation_id": "cite_32bt9xYZabcDEFghijk",
40 "url": "https://company.com/users/123",
41 "display": {
42 "title": {
43 "type": "COMMONMARK_TEXT",
44 "commonmark_text": {
45 "text": "John Doe"
46 }
47 },
48 "body": {
49 "type": "COMMONMARK_TEXT",
50 "commonmark_text": {
51 "text": "John Doe reports to Jane Smith in the Engineering department."
52 }
53 },
54 "attributes": [
55 {
56 "key": "EMAIL",
57 "value": "johndoe@company.com"
58 },
59 {
60 "key": "MANAGER",
61 "value": "Jane Smith"
62 }
63 ]
64 }
65 }
66 ],
67 "content_references": [
68 {
69 "citation_id": "cite_32bt9xYZabcDEFghijk",
70 "offset": 0
71 },
72 {
73 "citation_id": "cite_32bt9xYZabcDEFghijk",
74 "offset": 20
75 }
76 ],
77 "feedback": {
78 "helpful": {
79 "callback_id": "eyJhY3Rpb24iOiJoZWxwZnVsIi4uLn0"
80 },
81 "unhelpful": {
82 "callback_id": "eyJhY3Rpb24iOiJ1bmhlbHBmdWwiLi4ufQ"
83 }
84 }
85 }
86 }
87 ]
88}
Retrieves the current state and output of a response. Only returns assistant outputs. Use Get messages in a conversation or response to retrieve the full set of messages including user messages. Clients can poll this endpoint to watch for response completion by repeatedly calling until the status reaches a terminal state (`COMPLETED` or `FAILED`). Clients can wait up to **120 seconds** for a response to reach a terminal state.
Was this page helpful?
Previous

List conversation messages

Next
Built with

Retrieves the current state and output of a response. Only returns assistant outputs. Use Get messages in a conversation or response to retrieve the full set of messages including user messages. Clients can poll this endpoint to watch for response completion by repeatedly calling until the status reaches a terminal state (COMPLETED or FAILED). Clients can wait up to 120 seconds for a response to reach a terminal state.

Authentication

AuthorizationBearer

JWT bearer token authentication. Obtain an access token from the Moveworks auth endpoint and include it in the Authorization header as ‘Bearer <token>’.

Path parameters

conversation_idstringRequired

A base-62 identifier prefixed by a short resource type

response_idstringRequired

A base-62 identifier prefixed by a short resource type

Headers

Assistant-NamestringRequired
The Moveworks assistant identifier that was configured for your organization.

Response headers

x-moveworks-root-uuidstring
A unique identifier used to trace your request within the Moveworks system

Response

Response retrieved successfully
response_idstring

A base-62 identifier prefixed by a short resource type

conversation_idstring

A base-62 identifier prefixed by a short resource type

statusenum
Response processing status
Allowed values:
created_atdatetime

Creation timestamp (ISO 8601)

completed_atdatetime or null

Completion timestamp (ISO 8601), null if not completed

outputslist of objects
Output items

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error